## org.h2.table
Class TableBase

    java.lang.Object
      org.h2.engine.DbObjectBase
          org.h2.schema.SchemaObjectBase
              org.h2.table.Table
                  org.h2.table.TableBase

All Implemented Interfaces:
  DbObject, SchemaObject

Direct Known Subclasses:
  RegularTable

    public abstract class TableBase

extends Table

The base class of a regular table, or a user defined table.

Field Summary
`protected java.lang.String` `tableEngine` The table engine used (null for regular tables).

Fields inherited from class org.h2.table.Table
`columns, compareMode, EXTERNAL_TABLE_ENGINE, isHidden, memoryPerRow, SYSTEM_TABLE, TABLE, TABLE_LINK, TYPE_CACHED, TYPE_MEMORY, VIEW`

Fields inherited from class org.h2.engine.DbObjectBase
`comment, database, trace`

Fields inherited from interface org.h2.engine.DbObject
`AGGREGATE, COMMENT, CONSTANT, CONSTRAINT, FUNCTION_ALIAS, INDEX, RIGHT, ROLE, SCHEMA, SEQUENCE, SETTING, TABLE_OR_VIEW, TRIGGER, USER, USER_DATATYPE`

Constructor Summary
`TableBase(CreateTableData data)`

Method Summary
`java.lang.String` `getCreateSQL()` Build a SQL statement to re-create this object.
`java.lang.String` `getDropSQL()` Build a SQL statement to drop this object.
`boolean` `isGlobalTemporary()`

Methods inherited from class org.h2.table.Table

`addConstraint, addDependencies, addIndex, addRow, addSequence, addTrigger, addView, canDrop, canGetRowCount, canReference, canTruncate, checkColumnIsNotReferenced, checkDeadlock, checkSupportAlter, checkWritingAllowed, close, compareTypeSave, findPrimaryKey, fire, fireAfterRow, fireBeforeRow, fireRow, getBestPlanItem, getCheckForeignKeyConstraints, getChildren, getColumn, getColumn, getColumns, getCompareMode, getConstraints, getCreateSQLForCopy, getDefaultValue, getIndexes, getIndexForColumn, getMaxDataModificationId, getOnCommitDrop, getOnCommitTruncate, getPrimaryKey, getRowCount, getRowCountApproximation, getScanIndex, getTableType, getTemplateRow, getTemplateSimpleRow, getType, getUniqueIndex, getViews, hasSelectTrigger, isDeterministic, isHidden, isLockedExclusively, isLockedExclusivelyBy, isPersistData, isPersistIndexes, lock, removeChildrenAndResources, removeConstraint, removeIndex, removeIndexOrTransferOwnership, removeRow, removeSequence, removeTrigger, rename, renameColumn, setCheckForeignKeyConstraints, setColumns, setOnCommitDrop, setOnCommitTruncate, truncate, unlock, updateRows, validateConvertUpdateSequence`

Methods inherited from class org.h2.schema.SchemaObjectBase
`getSchema, getSQL, initSchemaObjectBase`

Methods inherited from class org.h2.engine.DbObjectBase
`checkRename, getComment, getDatabase, getId, getModificationId, getName, initDbObjectBase, invalidate, isTemporary, setComment, setModified, setObjectName, setTemporary, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.h2.engine.DbObject
`checkRename, getComment, getDatabase, getId, getModificationId, getName, isTemporary, setComment, setModified, setTemporary`

Field Detail

### tableEngine

    protected final java.lang.String tableEngine

  The table engine used (null for regular tables).

Constructor Detail

### TableBase

    public TableBase(CreateTableData data)

Method Detail

### getDropSQL

    public java.lang.String getDropSQL()

  Description copied from class: `DbObjectBase`
  Build a SQL statement to drop this object.

  Specified by:
    `getDropSQL` in interface `DbObject`
  Specified by:
    `getDropSQL` in class `DbObjectBase`
  Returns:
    the SQL statement

### getCreateSQL

    public java.lang.String getCreateSQL()

  Description copied from class: `DbObjectBase`
  Build a SQL statement to re-create this object.

  Specified by:
    `getCreateSQL` in interface `DbObject`
  Specified by:
    `getCreateSQL` in class `DbObjectBase`
  Returns:
    the SQL statement

### isGlobalTemporary

    public boolean isGlobalTemporary()

  Overrides:
    `isGlobalTemporary` in class `Table`